knotc(8)

NAME
knotc - Knot DNS control utility

SYNOPSIS
knotc [parameters] start|stop|restart|reload|running|compile

DESCRIPTION

  Parameters:

-c [file], --config=[file] Select configuration file.

-j [num], --jobs=[num]
    Number of parallel tasks to run (only for 'compile').

-f, --force
    Force operation - override some checks.

-v, --verbose
    Verbose mode - additional runtime information.

-V, --version
    Print knot server version.

-w, --wait
    Wait for the server to finish start/stop operations.

-i, --interactive
    Interactive mode (do not daemonize).

-a, --auto
    Enable automatic recompilation (start or reload).

-h, --help
    Print help and usage.

  Actions:

start
    Start knot server daemon (no-op if running).

stop
    Stop knot server daemon (no-op if not running).

restart
    Stops and then starts knot server daemon.

reload
    Reload knot configuration and compiled zones.

running
    Check if server is running.

compile
    Compile zone file.

refresh
    Refresh all slave zones.

checkconf
    Check server configuration.

checkzone
    Check zones before compiling (accepts specific zones, f.e. 'knotc checkzone example1.com example2.com').

SEE ALSO
The full documentation for Knot is maintained as a Texinfo manual. If the info and Knot programs are properly installed at your site, the command

    info Knot

should give you access to the complete manual.